#include <iostream>

using namespace std;

int main()
{
    int n,k,x;
    int a=0,c=1;
    cin>>n>>k>>x;
    int p[n];
    int suma2,suma1;
    for(int i=0;i<n;i++)
    {
        cin>>p[i];
        suma2+=p[i];
    }
    for(int i=0;i<n-k+1;i++)
    {
        a=0;
        for(int j=i;j<i+k;j++)
        {
            suma1+=p[i];
            suma2-=p[i];
            if(suma2>suma1){
                if(c<x) c++;
            }
            else if(n-i==x-c) c++;
            a=a+c*p[j];
        }
        cout <<a<< endl;
    }
    return 0;
}